App\Library\Amazon\Classes\HistoricalCollectibles:
    xml_root_name: HistoricalCollectibles
    properties:
        makeAnOfferMinimumPercentage:
            expose: true
            access_type: public_method
            serialized_name: MakeAnOfferMinimumPercentage
            accessor:
                getter: getMakeAnOfferMinimumPercentage
                setter: setMakeAnOfferMinimumPercentage
            type: integer
        displayHeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayHeight
            accessor:
                getter: getDisplayHeight
                setter: setDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWidth:
            expose: true
            access_type: public_method
            serialized_name: DisplayWidth
            accessor:
                getter: getDisplayWidth
                setter: setDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        originality:
            expose: true
            access_type: public_method
            serialized_name: Originality
            accessor:
                getter: getOriginality
                setter: setOriginality
            type: string
        gradeRating:
            expose: true
            access_type: public_method
            serialized_name: GradeRating
            accessor:
                getter: getGradeRating
                setter: setGradeRating
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        modelYearRange:
            expose: true
            access_type: public_method
            serialized_name: ModelYearRange
            accessor:
                getter: getModelYearRange
                setter: setModelYearRange
            type: string
        eventName:
            expose: true
            access_type: public_method
            serialized_name: EventName
            accessor:
                getter: getEventName
                setter: setEventName
            type: string
        authenticatedBy:
            expose: true
            access_type: public_method
            serialized_name: AuthenticatedBy
            accessor:
                getter: getAuthenticatedBy
                setter: setAuthenticatedBy
            type: string
        gradedBy:
            expose: true
            access_type: public_method
            serialized_name: GradedBy
            accessor:
                getter: getGradedBy
                setter: setGradedBy
            type: string
        contributor:
            expose: true
            access_type: public_method
            serialized_name: Contributor
            accessor:
                getter: getContributor
                setter: setContributor
            type: string
        certificateNumber:
            expose: true
            access_type: public_method
            serialized_name: CertificateNumber
            accessor:
                getter: getCertificateNumber
                setter: setCertificateNumber
            type: string
        limitedEditionNumber:
            expose: true
            access_type: public_method
            serialized_name: LimitedEditionNumber
            accessor:
                getter: getLimitedEditionNumber
                setter: setLimitedEditionNumber
            type: string
        limitedEditionQuantity:
            expose: true
            access_type: public_method
            serialized_name: LimitedEditionQuantity
            accessor:
                getter: getLimitedEditionQuantity
                setter: setLimitedEditionQuantity
            type: integer
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        isVeryHighValue:
            expose: true
            access_type: public_method
            serialized_name: IsVeryHighValue
            accessor:
                getter: getIsVeryHighValue
                setter: setIsVeryHighValue
            type: boolean
        additionalProductInformation:
            expose: true
            access_type: public_method
            serialized_name: AdditionalProductInformation
            accessor:
                getter: getAdditionalProductInformation
                setter: setAdditionalProductInformation
            type: string
